Name:		libbfio
Version:	20150102
Release:	1%{?dist}
Summary:	Library to support (abstracted) basic file IO
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libbfio/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libbfio is a library to support (abstracted) basic file IO

%package devel
Summary: Header files and libraries for developing applications for libbfio
Group: Development/Libraries
Requires: libbfio = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libbfio.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libbfio.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Fri Jan  2 2015 Joachim Metz <joachim.metz@gmail.com> 20150102-1
* Release 20150102-01
	20150104
	* update man page: libbfio.3

	20150102
	* 2015 update

	20141229
	* updated dpkg files

	20141201
	* code clean up

	20141015
	* changes for deployment

	20141011
	* worked on utility scripts

	20140920
	* changes for project site move

	20140506
	* fixes to build static library with mingw and cygwin
	* fixes for missing unistd.h includes

	20140105
	* 2014 update
	* updated dependencies

	20131003
	* updated dependencies

	20130809
	* updated dependencies
	* worked on tests

	20130721
	* worked on multi threading support
	* removed open on demand code from seek offset
	* refactored pool to use a cdata array
	* worked on tests
	* update msvscpp files

	20130718
	* fixes for multi threading support

	20130609
	* updated dependencies
	* fix for compiling with stand-alone version of libcdata
	* fix in .pc.in file

	20130509
	* small changes

	20130507
	* updated dependencies

	20130502
	* updated dependencies
	* worked on git release
	* moved examples to project page

	20130413
	* updated dependencies

	20130407
	* updated dependencies

	20130406
	* updated dependencies
	* removed codegear files
	* updated msvscpp files
	* remove libbfio_legacy.[ch]
	* updated macosx PackageMaker files

	20130103
	* 2013 update
	* added .gitignore
